# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               silicon
Version:            1.8.1
Release:            6.2
Summary:            Manage and Organize your Optical Discs
Source:             http://getsilicon.org/download/silicon-%{version}-src.tar.gz
Patch1:             silicon-fix_desktop_file.patch
Patch2:             silicon-gcc47.patch
Patch3:             silicon-taglib.patch
URL:                http://getsilicon.org/
Group:              Productivity/Multimedia/CD/Record
License:            GPL-3.0+ and LGPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      mpg123
Requires:           mpg123
BuildRequires:      fuseiso
Requires:           fuseiso
%if 0%{?suse_version} < 1210
BuildRequires:      hal
Requires:           hal
%endif
BuildRequires:      udisks-devel
%if 0%{?suse_version} > 1210
BuildRequires:      polkit-devel
%else
BuildRequires:      PolicyKit-devel
%endif
BuildRequires:      phonon-devel
BuildRequires:      dvd+rw-tools
BuildRequires:      wodim
BuildRequires:      libtag-devel
BuildRequires:      libqt4-devel
BuildRequires:      cmake gcc-c++ make pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files

%description
Silicon is set of open source tools to manage and organize your optical discs
like CDs, DVDs and Blu-rays.

The goal of Silicon is to make managing optical disks easy.

%lang_package

%prep
%setup -q -n "silicon-%{version}-src"
%patch1
%patch2 -p1
%patch3 -p1

%build
%__install -d build
pushd build
cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    ..
%__make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall
popd

L="$PWD/%{name}.lang"
B="%{_datadir}/silicon/languages"
echo -n >"$L"
pushd "%{buildroot}$B"
/bin/ls lang-*.qm | while read qm; do
    l="${qm%.qm}"
    l="${l#lang-}"
    [ "$l" = "en" ] && continue ||:
    echo "%lang($l) $B/$qm" >>"$L"
done
popd

%__chmod 0644 "%{buildroot}%{_datadir}/applications/silicon.desktop"

%suse_update_desktop_file -r "%{name}" AudioVideo DiscBurning

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Authors COPYING* README
%{_bindir}/silicon
%{_bindir}/silicon_rootmount
%{_libdir}/libSDataBase.so
%{_libdir}/libSiDi.so
%{_libdir}/libSiliconLib.so
%dir %{_libdir}/silicon
%dir %{_libdir}/silicon/apps
%{_libdir}/silicon/apps/libAudioDisc.so
%{_libdir}/silicon/apps/libConverter.so
%{_libdir}/silicon/apps/libCopyDisc.so
%{_libdir}/silicon/apps/libDataBase.so
%{_libdir}/silicon/apps/libDataDisc.so
%{_libdir}/silicon/apps/libDiscDetails.so
%{_libdir}/silicon/apps/libDiscEraser.so
%{_libdir}/silicon/apps/libDiscImaging.so
%{_libdir}/silicon/apps/libDiscScanner.so
%{_libdir}/silicon/apps/libImageBurner.so
%{_libdir}/silicon/apps/libLibrary.so
%{_libdir}/silicon/apps/libLimoo.so
%{_libdir}/silicon/apps/libMounter.so
%{_libdir}/silicon/apps/libSampleApp.so
%{_libdir}/silicon/apps/libScriptRunner.so
%{_libdir}/silicon/apps/libTagargPlayer.so
%dir %{_libdir}/silicon/plugins
%{_libdir}/silicon/plugins/libAudioCdRecord.so
%{_libdir}/silicon/plugins/libCdRecord.so
%{_libdir}/silicon/plugins/libEraser.so
%{_libdir}/silicon/plugins/libFUseIso.so
%{_libdir}/silicon/plugins/libLyricBrowser.so
%{_libdir}/silicon/plugins/libMkDiscFs.so
%{_libdir}/silicon/plugins/libMkIsoFs.so
%{_libdir}/silicon/plugins/libmpg123.so
%{_libdir}/silicon/plugins/libNowPlaying.so
%{_libdir}/silicon/plugins/libReadCd.so
%{_libdir}/silicon/plugins/libRootMount.so
%{_libdir}/silicon/plugins/libSingleInnerDialog.so
%{_libdir}/silicon/plugins/libSingleInnerDialogQML.so
%{_libdir}/silicon/plugins/libSystemTray.so
%{_libdir}/silicon/plugins/libTagargAudioDisc.so
%{_libdir}/silicon/plugins/libUDisks.so
%dir %{_datadir}/silicon
%dir %{_datadir}/silicon/languages
%lang(en) %{_datadir}/silicon/languages/lang-en.qm
%dir %{_datadir}/silicon/themes
%{_datadir}/silicon/themes/*
%{_datadir}/pixmaps/silicon.png
%{_datadir}/applications/silicon.desktop

%files lang -f "%{name}.lang"
%defattr(-,root,root)

%changelog
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build with gcc 4.7 (missing unistd.h include)
* Sun Apr 29 2012 pascal.bleser@opensuse.org
- initial version (1.8.1)
